## org.apache.tools.ant.taskdefs.optional.junit
Class Xalan1Executor

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.Xalan1Executor

public class Xalan1Executor
extends org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor

Xalan 1 executor. It will need a lot of things in the classpath: xerces for the serialization, xalan and bsf for the extension.

To do:
  do everything via reflection to avoid compile problems ?

Field Summary
`protected AggregateTransformer` `caller` the transformer caller

Constructor Summary
`Xalan1Executor()`

Method Summary
`protected java.io.OutputStream` `getOutputStream()` get the appropriate stream based on the format (frames/noframes)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caller

    protected AggregateTransformer caller

  the transformer caller

Constructor Detail

### Xalan1Executor

    public Xalan1Executor()

Method Detail

### getOutputStream

    protected java.io.OutputStream getOutputStream()
                                            throws java.io.IOException

  get the appropriate stream based on the format (frames/noframes)

    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.